NNCHECK(1)

NAME
nncheck - check for unread articles

SYNOPSIS
nncheck [ -Q -r -t ] [ -f format ]

DESCRIPTION
nncheck will report if there are some articles on the system which you have not read.

Without options, nncheck will simply print a message reporting the number of unread articles with the following format:
    There are 327 unread articles in 25 groups
and when there are no unread articles, the following message will be printed:
    No News (is good news)

nncheck will exit with a value of 0 if there are unread articles, and 99 if there is no news (see the exception for the -r option.)

It is important to notice that even though unread articles have been reported by nncheck, the actual number of unread articles may be much lower (or even zero) when nn is invoked to read the articles. This is because the calculation of the number of unread articles is only based on recorded article number intervals. Invoking nn to read the articles may reveal that the articles have previously been read in another news group, have been expired, or are killed using the auto-kill facility.

The following options are used to modify the amount and format of the output from nncheck:

-Q  Quiet operation. No output is produced, only the exit status indicate whether there is unread news.

-t  Print the name of each group with unread articles, and how many unread articles there are (not counting split digests!).

-r  Output a single integer value specifying the number of unread articles, and exit with a 0 status (somebody told me this would be useful).

-f format
    Output the number of unread articles using the specified format. The format is a text that may contain the following %-escapes:

    	%-code	resulting output

    	%u	"uuu unread articles"
    	%g	"ggg groups"
    	%i	"is" if 1 unread article, else "are"
    	%U	"uuu"
    	%G	"ggg"

    where uuu is the number of unread articles, and ggg is the number of groups with unread articles.

    For example, the default output format is
        "There %i %u in %g"
    which I prefer to the following less perfect format:
        "There are %U unread article(s) in %G group(s)"

FILES
~/.newsrc    The record of read articles
$db/MASTER    The database master index

SEE ALSO
nn(1), nngoback(1), nngrab(1), nngrep(1), nnpost(1), nntidy(1)
nnadmin(1M), nnusage(1M), nnmaster(1M)

AUTHOR
Kim F. Storm, Texas Instruments A/S, Denmark
E-mail: storm@texas.dk